query AsyncReport($input: AsyncReportInput!) {
asyncReport(input: $input) {
items {
description
expiresDateTime
fileName
fileSize
fileType
generatedDateTime
isCompressed
presenter {
businessName
id
}
reportId
requestedDateTime
requestId
status
tags
url
user {
defaultOrganizationId
email
id
jobTitle
lastLoggedInDateTime
name
phoneNumber
status
type
}
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"requestedDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AsyncReport($input: AsyncReportInput!) {\n asyncReport(input: $input) {\n items {\n description\n expiresDateTime\n fileName\n fileSize\n fileType\n generatedDateTime\n isCompressed\n presenter {\n businessName\n id\n }\n reportId\n requestedDateTime\n requestId\n status\n tags\n url\n user {\n defaultOrganizationId\n email\n id\n jobTitle\n lastLoggedInDateTime\n name\n phoneNumber\n status\n type\n }\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"requestedDate": "example"
}
}
}
}'
{
"data": {
"asyncReport": {
"items": [
{
"description": "example",
"expiresDateTime": "2026-01-15T14:30:00Z",
"fileName": "business-license.pdf",
"fileSize": 0,
"fileType": "CSV",
"generatedDateTime": "2026-01-15T14:30:00Z",
"isCompressed": true,
"presenter": {
"businessName": "Clacksworth Keyboards",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"reportId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"requestedDateTime": "2026-01-15T14:30:00Z",
"requestId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"status": "RECEIVED",
"tags": [
"example"
],
"url": "example",
"user": {
"address": "example",
"defaultOrganizationId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"email": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"jobTitle": "example",
"lastLoggedInDateTime": "2026-01-15T14:30:00Z",
"name": "Ben Torres",
"organization": "example",
"permissions": [
"example"
],
"phoneNumber": "example",
"status": "ACTIVE",
"type": "APP"
}
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Reporting
asyncReport
This query returns that status of the async reports
query AsyncReport($input: AsyncReportInput!) {
asyncReport(input: $input) {
items {
description
expiresDateTime
fileName
fileSize
fileType
generatedDateTime
isCompressed
presenter {
businessName
id
}
reportId
requestedDateTime
requestId
status
tags
url
user {
defaultOrganizationId
email
id
jobTitle
lastLoggedInDateTime
name
phoneNumber
status
type
}
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"requestedDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AsyncReport($input: AsyncReportInput!) {\n asyncReport(input: $input) {\n items {\n description\n expiresDateTime\n fileName\n fileSize\n fileType\n generatedDateTime\n isCompressed\n presenter {\n businessName\n id\n }\n reportId\n requestedDateTime\n requestId\n status\n tags\n url\n user {\n defaultOrganizationId\n email\n id\n jobTitle\n lastLoggedInDateTime\n name\n phoneNumber\n status\n type\n }\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"requestedDate": "example"
}
}
}
}'
{
"data": {
"asyncReport": {
"items": [
{
"description": "example",
"expiresDateTime": "2026-01-15T14:30:00Z",
"fileName": "business-license.pdf",
"fileSize": 0,
"fileType": "CSV",
"generatedDateTime": "2026-01-15T14:30:00Z",
"isCompressed": true,
"presenter": {
"businessName": "Clacksworth Keyboards",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"reportId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"requestedDateTime": "2026-01-15T14:30:00Z",
"requestId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"status": "RECEIVED",
"tags": [
"example"
],
"url": "example",
"user": {
"address": "example",
"defaultOrganizationId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"email": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"jobTitle": "example",
"lastLoggedInDateTime": "2026-01-15T14:30:00Z",
"name": "Ben Torres",
"organization": "example",
"permissions": [
"example"
],
"phoneNumber": "example",
"status": "ACTIVE",
"type": "APP"
}
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Query
Arguments
AsyncReportInput!
required
Show child attributes
Show child attributes
[AsyncReportsSortTypeInput!]
Show child attributes
Show child attributes
SortingEnumType!
required
See SortingEnumType
PagingInput!
required
See PagingInput
Return type
AsyncReportRequestCollection
[AsyncReportRequest!]!
required
Show child attributes
Show child attributes
String
DateTime!
required
String
Long
DateTime
Boolean!
required
Presenter
UUID
DateTime!
required
UUID!
required
[String!]
String
User
Show child attributes
Show child attributes
AddressOutput
The address of the user.See AddressOutput
UUID!
required
The id of the organization that the user is associated with.
String!
required
The email address of the user.
UUID!
required
The id of the user as defined in their profile.
String
The job title of the user.
DateTime
Last time the user logged in.
String!
required
The display name of the user.
Organization
See Organization
[Permission!]
String
The phone number of the user.
UserStatus!
required
query AsyncReport($input: AsyncReportInput!) {
asyncReport(input: $input) {
items {
description
expiresDateTime
fileName
fileSize
fileType
generatedDateTime
isCompressed
presenter {
businessName
id
}
reportId
requestedDateTime
requestId
status
tags
url
user {
defaultOrganizationId
email
id
jobTitle
lastLoggedInDateTime
name
phoneNumber
status
type
}
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"requestedDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AsyncReport($input: AsyncReportInput!) {\n asyncReport(input: $input) {\n items {\n description\n expiresDateTime\n fileName\n fileSize\n fileType\n generatedDateTime\n isCompressed\n presenter {\n businessName\n id\n }\n reportId\n requestedDateTime\n requestId\n status\n tags\n url\n user {\n defaultOrganizationId\n email\n id\n jobTitle\n lastLoggedInDateTime\n name\n phoneNumber\n status\n type\n }\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"requestedDate": "example"
}
}
}
}'
{
"data": {
"asyncReport": {
"items": [
{
"description": "example",
"expiresDateTime": "2026-01-15T14:30:00Z",
"fileName": "business-license.pdf",
"fileSize": 0,
"fileType": "CSV",
"generatedDateTime": "2026-01-15T14:30:00Z",
"isCompressed": true,
"presenter": {
"businessName": "Clacksworth Keyboards",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"reportId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"requestedDateTime": "2026-01-15T14:30:00Z",
"requestId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"status": "RECEIVED",
"tags": [
"example"
],
"url": "example",
"user": {
"address": "example",
"defaultOrganizationId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"email": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"jobTitle": "example",
"lastLoggedInDateTime": "2026-01-15T14:30:00Z",
"name": "Ben Torres",
"organization": "example",
"permissions": [
"example"
],
"phoneNumber": "example",
"status": "ACTIVE",
"type": "APP"
}
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Was this page helpful?